%global  commit_date   20191031
%global  commit_short  0a35713
%global  commit_long   0a357137c27d3e1f2f236a1e76e7b38f6e39d846

Name:       gnome-shell-extension-topicons-plus
Summary:    Move all legacy tray icons to the top panel
Version:    22
Release:    7%{?dist}.%{commit_date}.%{commit_short}
URL:        https://extensions.gnome.org/extension/1031/topicons/
License:    GPLv2
BuildArch:  noarch

# There haven't been any *tagged* releases in a long time, but this is where they would be:
# https://github.com/phocean/TopIcons-plus/releases
Source0: https://github.com/phocean/TopIcons-plus/archive/%{commit_short}/TopIcons-plus-%{commit_short}.tar.gz
Source1: https://src.fedoraproject.org/rpms/gnome-shell-extension-topicons-plus/raw/master/f/README.md

BuildRequires: glib2

Requires: gnome-shell >= 3.32
Requires: gnome-shell-extension-common

Recommends: gnome-tweaks



%description
Many applications, such as chat clients, downloaders, and some media
players, are meant to run long-term in the background even after you
close their window.  These applications remain accessible by adding an
icon to the GNOME Shell Legacy Tray. However, the Legacy Tray is hidden
until you push your mouse into the lower-left of the screen and click on
the small tab that appears. TopIcons Plus brings all icons back to the
top panel, so that it's easier to keep track of apps running in the
background. You also get some options to control the look and feel: You
can leave the icons in full color, or dynamically convert them to
grayscale, etc.



# UUID is defined in extension's metadata.json and used as directory name.
%global  UUID                  TopIcons@phocean.net
%global  gnome_extensions_dir  %{_datadir}/gnome-shell/extensions/
%global  final_install_dir     %{buildroot}/%{gnome_extensions_dir}/%{UUID}

%prep
%autosetup -n TopIcons-plus-%{commit_long}

%build
# `build` make target is included in `make install`.

%install
%make_install  INSTALL_PATH=%{buildroot}/%{gnome_extensions_dir}
cp  %{SOURCE1}  ./README-fedora.md

rm %{final_install_dir}/locale/*/LC_MESSAGES/*.po
mv  %{final_install_dir}/locale  %{buildroot}/%{_datadir}/
%find_lang TopIcons-Plus

# README also gets copied to the standard documentation directory, so we don't
# need it here.
rm  %{final_install_dir}/README.md

# RPM will take care of gschemas, so we don't need to include a precompiled copy.
mkdir -p %{buildroot}/%{_datadir}/glib-2.0/schemas/
mv  %{final_install_dir}/schemas/org.gnome.shell.extensions.topicons.gschema.xml  \
	%{buildroot}/%{_datadir}/glib-2.0/schemas/
rm --recursive %{final_install_dir}/schemas/



%files -f TopIcons-Plus.lang
%doc README.md  README-fedora.md
%license gpl-2.0.txt
%{gnome_extensions_dir}/%{UUID}/
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.topicons.gschema.xml



%changelog
* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 22-7.20191031.0a35713
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Nov 4 2019 Andrew Toskin <andrew@tosk.in> - 22-6.20191031.0a35713
- Merge changes by Robin A Meade, which brings better compatibility to
  GNOME both before *and* after v3.33.90.

* Mon Oct 14 2019 Andrew Toskin <andrew@tosk.in> - 22-5.20190929.ad2dd1a
- Patches from Hans de Goede were merged upstream.
- Added Dutch translations.

* Mon Aug 19 2019 Hans de Goede <hdegoede@redhat.com> - 22-4.20190417.76789a5
- Patch the extension to fix API calls deprecated in GNOME 3.33+.

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 22-3.20190417.76759a5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Apr 22 2019 Andrew Toskin <andrew@tosk.in> - 22-1.20190422.76759a5
- Bump to upstream version 22 + commit 76759a5, which adds Turkish and
  Brazilian translations, and fixes a bug in managing status icons.
